# Dev_Poll_Reactor.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Pipe.h"`
`#include "ace/Lock_Adapter_T.h"`
`#include "ace/Reactor_Impl.h"`
`#include "ace/Reactor_Token_T.h"`
`#include "ace/Token.h"`
`#include "ace/Dev_Poll_Reactor.inl"`

Include dependency graph for Dev_Poll_Reactor.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Dev_Poll_Event_Tuple
| Class that associates specific event mask with a given event handler. More...
class | ACE_Dev_Poll_Reactor_Notify
| Event handler used for unblocking the ACE_Dev_Poll_Reactor from its event loop. More...
class | ACE_Dev_Poll_Reactor_Handler_Repository
| Used to map ACE_HANDLEs onto the appropriate ACE_Event_Handler *. More...
class | ACE_Dev_Poll_Reactor
| A `/dev/poll' or `/dev/epoll' based Reactor implemenatation. More...
class | ACE_Dev_Poll_Reactor::Token_Guard
| A helper class that helps grabbing, releasing and waiting on tokens for a thread that needs access to the reactor's token. More...
class | ACE_Dev_Poll_Handler_Guard
| Class used to make event handler reference count manipulation exception-safe. More...

## Typedefs

typedef ACE_Noop_Token | ACE_DEV_POLL_TOKEN
typedef ACE_Reactor_Token_T< ACE_DEV_POLL_TOKEN > | ACE_Dev_Poll_Reactor_Token

## Detailed Description

Id
  Dev_Poll_Reactor.h,v 4.32 2006/02/24 17:25:11 shuston Exp

Experimental `/dev/poll` (or Linux `sys_epoll`) based Reactor implementation.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>

## Typedef Documentation

typedef ACE_Reactor_Token_T<ACE_DEV_POLL_TOKEN> ACE_Dev_Poll_Reactor_Token

typedef ACE_Noop_Token ACE_DEV_POLL_TOKEN